Bug 213502 - rdesktop with compiz+AIGLX or compiz+XGL = 99% translucent
rdesktop with compiz+AIGLX or compiz+XGL = 99% translucent
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rdesktop (Show other bugs)
6
All Linux
medium Severity high
: ---
: ---
Assigned To: David Zeuthen
bzcl34nup
:
: 207960 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-01 13:30 EST by Dax Kelson
Modified: 2013-03-05 22:47 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:39:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2006-11-01 13:30:52 EST
Description of problem:

When using rdesktop on a compiz desktop the rdesktop windows goes nearly all the
way translucent and is unreadable.

Until the bug is fixed, it can be worked around by setting the
XLIB_SKIP_ARGB_VISUALS environment variable to 1 before invoking rdesktop. For
example:

$ XLIB_SKIP_ARGB_VISUALS=1 rdesktop myrdpserver.example.com
Comment 1 Jef Spaleta 2006-11-18 21:29:24 EST
I see a similiar issue... but only when I use rdesktop's -a option to set a
color depth.

Normal connections which default to 8bit appear to work fine for me.
But as soon as I use -a  with any color depth ( 8,16, or 24 ) The translucency
problem happens.

I'll try the environment variable workaround and see if that helps.

-jef
Comment 2 Stuart Jansen 2006-11-28 12:36:25 EST
On an FC6 metacity desktop with the -a option, the rdesktop window paints so
slowly as to be unusable on a large screen. Using the same environmental
variable speeds things up.
Comment 3 Behdad Esfahbod 2006-12-08 14:51:28 EST
*** Bug 207960 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2008-04-04 00:19:28 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:39:10 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.